<?php
tabs_load();

$tabs['images'] = array(
  '#type' => 'tabset',
  '#attributes' => array('class' => 'image-tabs')
);

$photo_content = '';
if (is_array($node->field_picture)) {
  $photo_content = $node->field_picture[0]['view'];
}
if (strlen($photo_content)) {
  $tabs['images']['photo'] = array(
    '#type' => 'tabpage',
    '#title' => t('Photo'),
    '#content' => $photo_content,
  );
}


$parking_content = '';
if (strlen($node->content['group_location']['field_parking_map']['#value'])) {
  $parking_content = $node->content['group_location']['field_parking_map']['#value'];
}
if (strlen($parking_content)) {
  $tabs['images']['map'] = array(
    '#type' => 'tabpage',
    '#title' => t('Parking'),
    '#content' => $parking_content,
  );
}
//print_r($node);

$tabs = tabs_render($tabs);

// print_r($node);
?>
<?php if ($page): ?>
<?php else: ?>
  <h2 class="title">
    <a href="<?php print $node_url ?>"><?php print $title; ?></a>
  </h2>
<?php endif; ?>
<div class="hike-wrapper">
  <div class="hike-panes-wrapper">
    <div class="hike-images">
    <?php print $tabs; ?>
    </div>
    <div class="hike-body">
    <?php
      // build table
      $rows = array();
      // aka first line
      $rows[] = array('data' => array(array('data' => t('Overview'), 'class' => 'label'), array('data' => $node->field_features[0]['view'], 'class' => 'black-sublabel', 'colspan' => 2), ''
      ),'class' => 'hike-odd');

      // aka second line
      $rows[] = array('data' => array(
        array('data' => t('Details'), 'class' => 'label'), array('data' => t('Time') .':', 'class' => 'sublabel'), $node->content['field_time']['#value']
      ), 'class' => 'hike-even');
      $rows[] = array('data' => array(
        '', array('data' => t('Difficulty') .':', 'class' => 'sublabel'), $node->content['field_difficulty']['#value']
      ), 'class' => 'hike-even');
      $rows[] = array('data' => array(
        '', array('data' => t('Length') .':', 'class' => 'sublabel'), $node->content['field_length']['#value']
      ), 'class' => 'hike-even');
      $rows[] = array('data' => array(
        '', array('data' => t('Features') .':', 'class' => 'sublabel'), $node->content['group_features']['field_features_items']['#value']
      ), 'class' => 'hike-even');
$rows[] = array('data' => array(
        '', array('data' => t('Dogs') .':', 'class' => 'sublabel'), $node->content['field_dogs']['#value']
      ), 'class' => 'hike-even');

      //aka third line
      $rows[] = array('data' => array(
        array('data' => t('Location'), 'class' => 'label'), array('data' => t('Park') .':', 'class' => 'sublabel'), $node->content['group_location']['field_parkurl']['#value']
      ), 'class' => 'hike-odd');
      $rows[] = array('data' => array(
        '', array('data' => t('Region') .':', 'class' => 'sublabel'), $node->content['group_location']['field_regionurl']['#value']
      ), 'class' => 'hike-odd');
      $rows[] = array('data' => array(
        '', array('data' => t('State') .':', 'class' => 'sublabel'), $node->content['group_location']['field_state']['#value']
      ), 'class' => 'hike-odd');
      $rows[] = array('data' => array(
        '', array('data' => t('County') .':', 'class' => 'sublabel'), $node->content['group_location']['field_county']['#value']
      ), 'class' => 'hike-odd');

      // aka fouth line
      $rows[] = array('data' => array(
        array('data' => t('Map'), 'class' => 'label'), array('data' => t('Buy Trail Map') .':', 'class' => 'sublabel'), $node->content['group_map']['field_tc_map_url']['#value']
      ), 'class' => 'hike-even');

      // aka fifth line
      $rows[] = array('data' => array(
        array('data' => t('Publication'), 'class' => 'label'), array('data' => t('Date') .':', 'class' => 'sublabel'), $node->content['group_dates']['field_publication_date']['#value']
      ), 'class' => 'hike-odd');
      $rows[] = array('data' => array(
        '', array('data' => t('Submitter') .':', 'class' => 'sublabel'), $node->name
      ), 'class' => 'hike-odd');

      print theme('table', array(), $rows, array('class' => 'hike-content'));
    ?>
    </div>
    <div class="stop"></div>
  </div>
  <div class="stop"></div>

  <div class="hike-driving-directions">        
    <p><strong>
    <?php print t('Driving Directions') ?>
    </strong></p>            
    <?php print $node->field_driving[0]['value']; ?>
  </div>
      
  <?php if (strlen($node->field_train[0]['value'])) { ?>
    <div class="hike-driving-directions">  
    <p><strong>
    <?php print t('Train') ?>
    </strong></p>    
    <?php print $node->field_train[0]['value']; ?>
    </div>
  <?php }  ?>
 
        
  <?php if (strlen($node->field_bus[0]['value'])) { ?>
    <div class="hike-driving-directions">
    <p><strong>    
    <?php print t('Bus') ?>
    </strong></p>    
    <?php print $node->field_bus[0]['value']; ?>
    </div>
  <?php } ?>

  <div class="hike-description">  <p><strong><?php print t('Description') ?></strong></p>
  <?php
    $old_node = node_load(array('nid' => $node->nid));
    print check_markup($old_node->body, $old_node->filter);
  ?>
  </div>

</div>
<?php if (count($taxonomy)): ?>
  <div class="taxonomy"><?php print t(' in ') . $terms ?></div>
<?php endif; ?>

<?php if ($links): ?>
  <div class="links"><?php print $links; ?></div>
<?php endif; ?>