<?php
//print_r($node);
//return;

tabs_load();

$tabs['images'] = array(
  '#type' => 'tabset',
  '#attributes' => array('class' => 'image-tabs')
);


$photo_content = '';
if (is_array($node->field_park_picture)) {
  $photo_content = $node->field_park_picture[0]['view'];
}
if (strlen($photo_content)) {
  $tabs['images']['photo'] = array(
    '#type' => 'tabpage',
    '#title' => t('Photo'),
    '#content' => $photo_content,
  );
}

$map_content = '';
if (strlen($node->content['field_park_map']['#value'])) {
  $map_content = $node->content['field_park_map']['#value'];
}
if (strlen($map_content)) {
  $tabs['images']['map'] = array(
    '#type' => 'tabpage',
    '#title' => t('Map'),
    '#content' => $map_content,
  );
}

$tabs = tabs_render($tabs);

//print_r($node);
?>
<?php if ($page): ?>
<?php else: ?>
  <h2 class="title">
    <a href="<?php print $node_url ?>"><?php print $title; ?></a>
  </h2>
<?php endif; ?>
<div class="park-wrapper">
  <div class="park-panes-wrapper">
    <div class="park-images">
    <?php print $tabs; ?>
    </div>
    <div class="park-body">
    <?php
      // build table
      $rows = array();
      // aka first line
      $rows[] = array(array('data' => t('Park Overview') .':', 'class' => 'sublabel'), $node->content['group_overview']['field_park_teaser']['#value']);
      $rows[] = array(array('data' => t('Trail Uses') .':', 'class' => 'sublabel'), $node->content['group_stats']['field_trail_uses']['#value']);
      $rows[] = array(array('data' => t('Dogs') .':', 'class' => 'sublabel'), $node->content['group_stats']['field_park_dogs']['#value']);
      $rows[] = array(array('data' => t('Trail Miles') .':', 'class' => 'sublabel'), $node->content['group_stats']['field_park_miles']['#value']);
      $rows[] = array(array('data' => t('Park Acreage') .':', 'class' => 'sublabel'), $node->content['group_stats']['field_park_acres']['#value']);
      $city_county_state = $node->content['group_ccs']['field_park_municipality']['#value'] .'/'. $node->content['group_ccs']['field_park_county']['#value'] .'/'. $node->content['group_ccs']['field_park_state']['#value'];
      $rows[] = array(array('data' => t('City/County/State') .':', 'class' => 'sublabel'), array('data' => $city_county_state, 'class' => 'location'));
      $rows[] = array(array('data' => t('Buy Trail Map') .':', 'class' => 'sublabel'), $node->content['group_marketing']['field_park_tcmap']['#value']);

      print theme('table', array(), $rows, array('class' => 'hike-content'));
    ?>
    </div>
    <div class="stop"></div>
  </div>
  <div class="stop"></div>
  <div class="park-description">
  <?php
      $old_node = node_load(array('nid' => $node->nid));

      // build table
      $rows = array();
      // aka first line
      $rows[] = array(array('data' => t('Park Description') .':', 'class' => 'sublabel'), check_markup($old_node->body, $old_node->format));
      $rows[] = array(array('data' => t('Trails Overview') .':', 'class' => 'sublabel'), $node->content['group_overview']['field_park_trail_overview']['#value']);
      $rows[] = array(array('data' => t('Directions') .':', 'class' => 'sublabel'), $node->content['group_overview']['field_park_directions']['#value']);
      $contact_information = $node->content['group_contact']['field_park_url']['#value'] . $node->content['group_contact']['field_park_phone']['#value'];
      $rows[] = array(array('data' => t('Contact Information') .':', 'class' => 'sublabel'), $contact_information);
      $rows[] = array(array('data' => t('Walk Book Region') .':', 'class' => 'sublabel'), $node->content['group_location']['field_park_region']['#value']);
      $rows[] = array(array('data' => t('Fees') .':', 'class' => 'sublabel'), $node->field_park_fees[0]['value']);

      print theme('table', array(), $rows, array('class' => 'park-description-content'));
  ?>
  </div>
</div>
<?php if (count($taxonomy)): ?>
  <div class="taxonomy"><?php print t(' in ') . $terms ?></div>
<?php endif; ?>

<?php if ($links): ?>
  <div class="links"><?php print $links; ?></div>
<?php endif; ?>